/*
 Theme Name:   Ziba Beauty
 Description:  A child theme of Twenty Twenty custom built for Ziba Beauty
 Template:     twentytwenty
 Version:      1.0.0
*/

.mobile {
    display: none !important;
}

/*fonts*/
.avenir-light {font-family: "neue-haas-grotesk-display", sans-serif;font-weight: 200;font-style: normal;}
.seasons {font-family: "the-seasons", sans-serif !important;font-weight: 400;font-style: normal;}
.seasons-regular {font-weight: 400;font-style: normal;}
.seasons-italic {font-family: "the-seasons", sans-serif;font-style: italic;}
.seasons-bold {font-family: "the-seasons", sans-serif;font-weight: 700;}
.seasons-bolditalic {font-family: "the-seasons", sans-serif;font-weight: 700;font-style: italic;}
.neuehaas { font-family: "neue-haas-grotesk-display", sans-serif; font-weight: 400;}

.neuehaas45lt {
    font-family: "neue-haas-grotesk-display", sans-serif;
    font-weight: 400;
    font-style: normal;
}
.neuehaas45ltitalic {    
    font-family: "neue-haas-grotesk-display", sans-serif;
    font-weight: 400;
    font-style: italic;
}
.neuehaas75Bold {    
    font-family: "neue-haas-grotesk-display", sans-serif;
    font-weight: 700;
    font-style: normal;
}
.neuehaas75BoldItalic {    
    font-family: "neue-haas-grotesk-display", sans-serif;
    font-weight: 700;
    font-style: italic;    
}
.neuehaas55roman {    
    font-family: "neue-haas-grotesk-text", sans-serif;
    font-weight: 400;
    font-style: normal;
}
.neuehaas56Italic {    
    font-family: "neue-haas-grotesk-text", sans-serif;
    font-weight: 400;
    font-style: italic;
}
.neuehaas65Med {    
    font-family: "neue-haas-grotesk-text", sans-serif;
    font-weight: 500;
    font-style: normal;
}
.neuehaas66MedItalic {    
    font-family: "neue-haas-grotesk-text", sans-serif;
    font-weight: 500;
    font-style: italic;
}
.neuehaas75Bold {    
    font-family: "neue-haas-grotesk-text", sans-serif;
    font-weight: 700;
    font-style: normal;
}
.neuehaas76BoldItalic {    
    font-family: "neue-haas-grotesk-text", sans-serif;
    font-weight: 700;
    font-style: italic;
}




/*colors*/
.lightblue {color: #b6dce1;}
.blue {color: #6B8FA3; } /* darker #2F4A5C; */
.green {color:#c3cf21; }
.gradient-beige {background: #FFFFFF;background: linear-gradient(180deg, rgba(255, 255, 255, 1) 0%, rgb(249,240,232, 1) 100%);}
.gradient-beige-reverse {background: #FFFFFF;background: linear-gradient(0deg,rgba(255, 255, 255, 1) 0%, rgb(249,240,232, 1) 100%);}
.gradient-beige-light {background: #FFFFFF;background: linear-gradient(0deg,rgba(255, 255, 255, 1) 0%, rgb(249,240,232, 1) 100%);}

/* OLD ONES
.gradient-beige {background: #FFFFFF;background: linear-gradient(180deg, rgba(255, 255, 255, 1) 0%, rgba(242, 222, 205, 1) 100%);}
.gradient-beige-reverse {background: #FFFFFF;background: linear-gradient(0deg,rgba(255, 255, 255, 1) 0%, rgba(242, 222, 205, 1) 100%);}
.gradient-beige-light {background: #FFFFFF;background: linear-gradient(0deg,rgba(255, 255, 255, 1) 0%, rgb(250, 243, 237) 100%);} */



.bg-beige {background: #f2decd;}
.bg-gray {background: #f1f1f2;}
.color-accent, .color-accent-hover:hover, .color-accent-hover:focus, :root .has-accent-color, .has-drop-cap:not(:focus):first-letter, .wp-block-button.is-style-outline, a {
    color: #784d25 !important;
}
.mobile {
    display:none;
}

/*menu*/
.nav-toggle .toggle-icon, .nav-toggle svg {
    height: 3rem;
    width: 3rem;
}

.nav-toggle .toggle-inner {
    padding-top: 0 !important; 
}

.nav-toggle {
    bottom: 0 !important;
    left: 0 !important;
    top: 0 !important;
}


h1, h2, h3, h4, h5, h6, .faux-heading {
    font-weight: 500 !important;
}

ul.primary-menu {
    display: flex;
    font-size: 2rem;
    font-weight: 500;
    letter-spacing: -0.0277em;
    flex-wrap: wrap;
    justify-content: center;
    margin: -0.8rem 0 0 -1.6rem;
}


ul.primary-menu a:hover {
    text-decoration: none;
    color: #666 !important;
}

.primary-menu > li > .icon {
    color: #f2decd !important;
}

.topbar {
    display: flex;
    align-items: center;
}

.search {
    background: #f9f0e8;
    flex: 1;              
    display: flex;
    justify-content: flex-end; /* pushes icon to the right */
    text-align: right;
    height: 45px;
    padding-top: 10px;
}

.topmenu ul {
    margin: 0;
    padding: 0;    
}

.topmenu ul li {
    height: 45px;
    display: inline-block;
    list-style: none;
    background: #f9f0e8;
    font-size: 1em;
    padding: 10px 20px;
    margin: 0 -4px 0 0;
    font-family: "neue-haas-grotesk-display", sans-serif !important;
    font-weight: 500;
    /* letter-spacing: .2em !important; */
    text-transform: uppercase;
    color: #000 !important;
}

.topmenu ul li:last-child {
    margin-right: 2px;
}

.topmenu ul li a {
    font-size: 1em;
    color: #000;
    text-decoration: none;
}

.search-toggle {
    position: relative !important;
    margin-right: 50px;
}

ul.primary-menu a,
.modal-menu a {
    font-family: "neue-haas-grotesk-display", sans-serif !important;
    font-weight: 300;
    letter-spacing: .2em !important;
    text-transform: uppercase;
    color: #000 !important;

}

.modal-menu a:hover {
    color: #c3cf21 !important;
}

.primary-menu > li {
    margin: 1rem 0 0 4%;
}

ul.primary-menu li:first-child {
    margin: 1rem 0 0 0;
}


/* ul.primary-menu li:last-child {
    margin-top: 5px;
    background: #f2decd;
    padding: 5px 10px;
    border-radius: 5px;
} */

ul.primary-menu ul {
    width: 20rem !important;
    background: #000 !important;
    border-radius: 0.5rem !important;
    color: #fff !important;
    font-size: 1.7rem !important;
    left: -50px !important;
}

ul.primary-menu ul.submenu li {
    background: none;
}

ul.primary-menu ul.submenu {
    background-color: #e6e7e8 !important;
    border: solid 1px #000 !important;
}

ul.primary-menu li ul li:last-child {
    background: none;
    padding: 0;
    border-radius: 0;
}

ul.primary-menu ul li a {
    color: #fff !important;
}

.primary-menu li.current-menu-item > a, .primary-menu li.current-menu-item > .link-icon-wrapper > a {
    text-decoration: none;
    color: #db9d64 !important;
}

.primary-menu a:hover, .primary-menu a:focus, .primary-menu .current_page_ancestor {
    text-decoration: none !important;
}

/* elements*/

html {
  scroll-behavior: smooth;
}

body,
body * {
    font-family: "neue-haas-grotesk-display", sans-serif !important;
    letter-spacing: 3px;
}

body:not(.enable-search-modal) .header-titles-wrapper {
    justify-content: center;
    padding-left: 0;
    text-align: left;
}

#site-content {
    overflow: hidden;
    min-height: 800px;
}

.hero-headline > div {
    font-family: "neue-haas-grotesk-display", sans-serif !important;
    text-transform: uppercase !important;
    letter-spacing: .2em !important;
    line-height: 1.2em !important;
    font-size: 4em !important;
    font-weight: 400;
    font-style: normal;
    text-shadow: 0px 1px 20px rgb(0,0,0, .5)!important
}

.hero-subhead > div {
    font-family: "neue-haas-grotesk-display", sans-serif !important;
    text-transform: uppercase !important;
    letter-spacing: .5em;
    line-height: 1.1em;
    font-weight: 400;
    font-style: normal;
    text-shadow: 0px 1px 10px rgb(0,0,0, .5)!important;
}

.button > a  {
    font-family: "neue-haas-grotesk-display", sans-serif !important;
    text-transform: uppercase;
    font-weight: 700;
    font-style: normal;
}

.btn-cta a {
    font-family:  "gotham-narrow", sans-serif !important;
    font-weight: 700 !important;
}

.video-embed{
  width:75%;
  margin: 0 auto;
}

.video-embed iframe{
  width:100% !important;
  height:46vh !important;
  display:block;
  border:0;
}

.centered {
  display: flex !important;
  align-items: center !important;      /* vertical */
  justify-content: center !important;  /* horizontal */
  text-align: center !important;       /* multiline text */
}

.service-box img {
    box-shadow: 3px 3px 3px rgb(0,0,0, .2);
}

.service-box a:hover img {
    transition: opacity 0.3s ease;
    opacity: 0.5;
}

.service-box h3 {
    font-size: 1.5rem;
}

.studio-box {
    border: solid 1px #999;
    border-radius: 10px;
    font-size: 1.2rem;
    background-color: #fff;
    padding: 0 20px 20px;

}

.stats h1 {
    font-family: "the-seasons", sans-serif !important;
    font-size: 12rem;
}

.book-service h4 {
    font-size: 2rem !important;
    background: #ccc;
    padding: 10px 15px;
    border-radius: 5px;
}

.book-service .widget {
    margin-top: 0 !important;
}

div.booknow a {
    position: absolute;
    bottom: 10px;
    left: auto;
}

div.booknow a,
a.book-button {
    width: 34%;
    font-size: .5em;
    font-weight: bold;
    border-radius: 5px;
    background-color: #c3cf21 !important;
    color: #000 !important;
    padding: 10px 20px;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: .1em;
    right: auto;
    text-align: center;    
}


iframe[src*="google.com/maps"] {
    width: 100% !important;
    height: 100% !important;
    min-height: 550px; /* This prevents the '0px height' collapse */
    box-shadow: 3px 3px 3px rgb(0,0,0, .2);
    border: solid 1px #666 !important;
}

/* Mobile First (Default) */
.map-container {
  width: 100%;
  height: 300px; /* Shorter for phones */
}

.reduced-spacing.footer-top-visible .footer-nav-widgets-wrapper, .reduced-spacing.footer-top-hidden #site-footer {
    border-top-width: 0;
}

/* Tablets and Desktop */
@media (min-width: 768px) {
  .map-container {
    height: 550px; /* Taller for bigger screens */
  }
}

/* Ensure the iframe fills whatever h•eight the container has */
.map-container iframe {
  width: 100%;
  height: 100%;
  border: 0;
}

.map-container iframe {
  pointer-events: none; /* Disables interaction by default */
}
.map-container.active iframe {
  pointer-events: auto; /* Re-enables it when active */
}

.studio-container h2 {
    font-family: "neue-haas-grotesk-display", sans-serif !important;
    font-weight: 700 !important;
}

.sow-icon-ionicons {
    font-family: "sow-ionicons" !important;
}

.sow-accordion-panel-header {
    border-radius: 5px;
    padding: 5px 30px;
}

.footer-top {
    display: flex;
    border-bottom: none;
    justify-content: center;
}

.footer-widgets {
    margin-left: 0;
    width: 100%;
}

.footer-menu {
    font-size: 1.8rem;
    font-weight: 500;
    letter-spacing: -0.0277em;
}

nav.footer-menu-wrapper {
    margin: 0 auto;
}

nav.footer-menu-wrapper ul li a {
    color: #000 !important;
    text-decoration: none;
}

nav.footer-menu-wrapper ul li a:hover {
    color: #666;
    text-decoration: none;
}

.footer-widgets-outer-wrapper {
        padding: 0;
        align-items: center;
    }

.footer-logo {
    display: flex;
    align-items: center;
}

/* .footer-logo img {
     width: 150px; 
    height: auto;
} */

.footer-copyright,
.footer-copyright a {
    color: #000 !important;
    font-weight: 500;
    margin: 0;
}

a.button {
    border:solid 1px #000 !important;
}


/*media queries*/
@media (min-width: 700px) {

    .footer-copyright {
        font-weight: 500;
        font-size: .8em;
    }
 
    .section-inner {
        width: 100%;
    }

    .entry-content h1, .entry-content h2, .entry-content h3, .entry-content h4, .entry-content h5 {
        margin: 1rem auto;
        font-weight: 500 !important;
    }

    .site-logo img {
        max-height: 5rem !important;
    }

    .footer-top-visible .footer-nav-widgets-wrapper, .footer-top-hidden #site-footer {
        margin-top: 4rem;
    }
}


@media (min-width: 1000px) {
    .header-inner {
        align-items: center;
        display: block;
        justify-content: center;
        padding: 2.8rem 0 0 0;
    }

    .header-titles-wrapper {
        margin-right: 0 !important;
        max-width: 100%;
        padding: 0;
        text-align: center;
    }   

   .primary-menu-wrapper {
        display: block;
        width: 100%;
        margin-top: -100px;
    }
}

@media (max-width: 600px) {
    .mobile {
        display: block !important;
    }

    .nomobile {
        display: none !important;
    }

    .hero-subhead > div {
        font-size: 1.2em !important;
    }

     .n2-ss-slider .n2-ss-layer-with-background {
        justify-content: flex-start !important;
    }

    #panel-2-2-0-0> .panel-widget-style {
        padding-top: 0 !important;
    }

    .alignnone, .aligncenter, .alignleft, .alignright, .alignwide {
        margin-top: 0rem !important;
    }

    .header-headline h3 {
        margin-top: 0 !important;
    }

    .header-titles-wrapper {
        padding: 0;
    }

    iframe[src*="google.com/maps"] {
        width: 100% !important;
        height: 100% !important;
        min-height: 250px; /* This prevents the '0px height' collapse */
    }

    .search-toggle {
        position: relative !important;
        margin-right: 25px;
    }

    .search {
        height: 35px;
        padding-top: 5px;
    }

    .topmenu ul li {
        padding: 5px 20px;
        height: 35px;    
    }

    .topmenu ul li a {
        font-size: .9em;
    }

    .menu-item-583,
    .menu-item-584,
    .menu-item-585,
    .menu-item-586,
    .menu-item-587 {
        display: none !important;
    }

}